Skip to the page

Repositories a connection can read

GET/v1/organisations/{id}/git/connections/{cid}/repositories

Operation git.repositories · since 2026-11-05 · stable

Needs a session withreadscopeAnswers200 OK

Path parameters

idstring (uuid)required
The organisation id.
cidstring (uuid)required
The Git connection id.

Query parameters

qstring, up to 100optional
Words to search repository names for.

Errors

Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.

GET/v1/organisations/{id}/git/connections/{cid}/repositories
curl "https://api.rykloud.com/v1/organisations/$ORG_ID/git/connections/$CONNECTION_ID/repositories" \
  -H "Authorization: Bearer $RYKLOUD_TOKEN"